gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r30273 - gnunet/src/gns


From: gnunet
Subject: [GNUnet-SVN] r30273 - gnunet/src/gns
Date: Fri, 18 Oct 2013 00:58:21 +0200

Author: schanzen
Date: 2013-10-18 00:58:21 +0200 (Fri, 18 Oct 2013)
New Revision: 30273

Added:
   gnunet/src/gns/test_gns_rel_expiration.sh
Modified:
   gnunet/src/gns/Makefile.am
   gnunet/src/gns/test_gns_lookup.conf
Log:
expiration test

Modified: gnunet/src/gns/Makefile.am
===================================================================
--- gnunet/src/gns/Makefile.am  2013-10-17 22:22:39 UTC (rev 30272)
+++ gnunet/src/gns/Makefile.am  2013-10-17 22:58:21 UTC (rev 30273)
@@ -226,6 +226,7 @@
   test_gns_pseu_shorten.sh\
   test_gns_plus_lookup.sh\
   test_gns_zkey_lookup.sh\
+       test_gns_rel_expiration.sh\
   test_gns_cname_lookup.sh
 
 if ENABLE_TEST_RUN

Modified: gnunet/src/gns/test_gns_lookup.conf
===================================================================
--- gnunet/src/gns/test_gns_lookup.conf 2013-10-17 22:22:39 UTC (rev 30272)
+++ gnunet/src/gns/test_gns_lookup.conf 2013-10-17 22:58:21 UTC (rev 30273)
@@ -18,4 +18,5 @@
 MAX_PARALLEL_BACKGROUND_QUERIES = 10
 DEFAULT_LOOKUP_TIMEOUT = 15 s
 RECORD_PUT_INTERVAL = 1 h
+ZONE_PUBLISH_TIME_WINDOW = 1 h
 

Added: gnunet/src/gns/test_gns_rel_expiration.sh
===================================================================
--- gnunet/src/gns/test_gns_rel_expiration.sh                           (rev 0)
+++ gnunet/src/gns/test_gns_rel_expiration.sh   2013-10-17 22:58:21 UTC (rev 
30273)
@@ -0,0 +1,26 @@
+#!/bin/bash
+trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
+rm -r `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
+which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
+TEST_IP="127.0.0.1"
+gnunet-arm -s -c test_gns_lookup.conf
+gnunet-identity -C testego -c test_gns_lookup.conf
+gnunet-identity -C delegatedego -c test_gns_lookup.conf
+DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep 
delegatedego | awk '{print $3}')
+gnunet-namestore -p -z testego -a -n b -t PKEY -V $DELEGATED_PKEY -e never -c 
test_gns_lookup.conf
+gnunet-namestore -p -z delegatedego -a -n www -t A -V $TEST_IP -e '2 s' -c 
test_gns_lookup.conf
+gnunet-arm -i gns -c test_gns_lookup.conf
+sleep 1
+gnunet-namestore -z delegatedego -d -n www -t A -V $TEST_IP  -e '2 s' -c 
test_gns_lookup.conf
+sleep 8
+RES_IP_EXP=`$DO_TIMEOUT gnunet-gns --raw -z testego -u www.b.gnu -t A -c 
test_gns_lookup.conf`
+gnunet-namestore -z testego -d -n b -t PKEY -V $DELEGATED_PKEY  -e never -c 
test_gns_lookup.conf
+gnunet-identity -D testego -c test_gns_lookup.conf
+gnunet-identity -D delegatedego -c test_gns_lookup.conf
+gnunet-arm -e -c test_gns_lookup.conf
+
+if [ "$RES_IP_EXP" == "$TEST_IP" ]
+then
+  echo "Failed to properly expire IP, got $RES_IP_EXP."
+  exit 1
+fi


Property changes on: gnunet/src/gns/test_gns_rel_expiration.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property



reply via email to

[Prev in Thread] Current Thread [Next in Thread]